Support » Plugin: Mollie Payments for WooCommerce » Critical error after update

  • Resolved andrerosing

    (@andrerosing)


    I get a critical error when I update the site (with WooCommerce, WooCommerce Bookings and Mollie) and webshop with bookings doesn’t work no more. Also I get a critical error when I go to WooCommerce/Settings. These are the details in the mail:

    Een fout van het type E_ERROR werd veroorzaakt op regelnummer 287 van het bestand /home/domein.nl/domains/domain.nl/public_html/wp-content/plugins/mollie-payments-for-woocommerce/vendor/mollie/mollie-api-php/src/MollieApiClient.php. Foutmelding: Uncaught Error: Undefined class constant ‘VERSION’ in /home/site/domains/domain.nl/public_html/wp-content/plugins/mollie-payments-for-woocommerce/vendor/mollie/mollie-api-php/src/MollieApiClient.php:287
    Stack trace:
    #0 /home/site/domains/domain.nl/public_html/wp-content/plugins/mollie-payments-for-woocommerce/src/Mollie/WC/Helper/Api.php(45): Mollie\Api\MollieApiClient->__construct()
    #1 /home/site/domains/domain.nl/public_html/wp-content/plugins/mollie-payments-for-woocommerce/src/Mollie/WC/Helper/Data.php(341): Mollie_WC_Helper_Api->getApiClient(false)
    #2 /home/site/domains/domain.nl/public_html/wp-content/plugins/mollie-payments-for-woocommerce/inc/utils.php(116): Mollie_WC_Helper_Data->getApiPaymentMethods(false, true)
    #3 /home/site/domains/domain.nl/public_html/wp-content/plugins/mollie-payments-for-woocommerce/src/Mollie/WC/Gateway/Abstract.php(2100): mollieWooCommerceAvailablePaymentMethods()
    #4 /home/site/domains/domain.nl/public_html/wp-content/plugins/mollie-

Viewing 15 replies - 1 through 15 (of 21 total)
  • Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hi @andrerosing,

    Our new release version 5.10.0 does not yet include a fix for the conflict with WooCommerce Bookings. We are working on it and hope to be able to include it in our next release.
    In the meantime we still recommend using either Mollie 5.8.3 or the test package I have linked here if you rely on WooCommerce Bookings. This package will be made unavailable as soon as we have a better solution
    I will then of course keep all threads related to this issue updated.
    Thanks!

    Kind regards,
    Niklas

    Thread Starter andrerosing

    (@andrerosing)

    Hi, with the mollie-guzzle-test-fix and the older mollie plugin I also get critical errors and the site gives only a blanc screen with the critical error.

    Andre

    I get the same problem, also after installing the mollie-guzzle-test-fix, and even after going back to version 5.8.3.
    Whenever I enter the API keys and save the page, the following screen appears:
    https://share.getcloudapp.com/o0umlQRd

    Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hi @andrerosing & @eddypiv,

    Thanks for letting us know.
    We have received multiple reports that WooCommerce Bookings version 1.15.21 works well with Mollie version 5.8.3 for now.
    Can you please try to downgrade both mollie and Bookings to these versions and give it another try? The downgrade is currently the better solution compared to our test package, because with it we could not solve all issues.
    We are still working on it to fix this issue once and for all but I must ask for a little bit of patience as I cannot tell you when we will be able to provide you with a better solution.
    However, once I have something better I will definitely let you know. Thanks!

    Kind regards,
    Niklas

    Thread Starter andrerosing

    (@andrerosing)

    Hi @niklasinpsyde, I have already done the downgrade. I would like to hear if there is a solution. Thanks in advance.

    best,
    Andre

    I am not sure what you mean with WooCommerce Bookings. I have just installed WooCommerce and your plugin. Went back to version 5.8.3 of your plugin, but same result.

    Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hello @eddypiv,

    This issue (and this thread as mentioned by OP) is related to a dependency conflict between Mollie and WooCommerce Bookings.
    It is possible that plugins other than WooCommerce Bookings can cause this, but WooCommerce itself should not. There has to be a different plugin installed in your site.
    If you do not use WooCommerce Bookings, then please contact us directly with your WooCommerce System Report and a link to this thread by clicking here. Thanks!

    And @andrerosing: Downgrading mollie and Bookings is the best workaround we currently have. We have received multiple positive reports about this so please try again. The issue is complex and not trivial to fix. As soon as we have a better solution I will let you know.

    Kind regards,
    Niklas

    Thread Starter andrerosing

    (@andrerosing)

    @niklasinpsyde – Hi, Could you please give me the status regarding the issues with the Mollie plugin. Perhaps you know when this can be ready? I would like to update the (entire) site. Thanks in advance, Andre

    Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hello @andrerosing,

    My apologies for the delay regarding this issue.
    There was a bug in a package which we have to utilise for this fix and had to wait for it to be fixed ourself.
    So as of our latest version 5.11.0, a fix for the conflict is not yet implemented.
    However, our next release should include it. I can’t tell exactly when that will be the case, but as mentioned before I will update every related thread once we have new information.

    Kind regards,
    Niklas

    I have the same problem with Woocommerce & the Mollie plugin. Als the older versions or the test plugin does not work…

    Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hey @mvoerman,

    Have you also tried Mollie version 5.8.3 in combination with Bookings version 1.15.21?
    We have received multiple reports that this combination works well for now.
    It is not ideal but the most stable solution as of now.
    However, we are making good progress with our fix and are confident to be able to include it in our next release.

    Kind regards,
    Niklas

    Thread Starter andrerosing

    (@andrerosing)

    Hi @niklasinpsyde
    I would like to hear from you if a working plugin is now available. I will also contact Mollie if they have another solution for me. Kind regards Andre

    Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hi @andrerosing,

    Our next release is scheduled for early december.
    We hope to be able to include the fix with the next release, but unfortunately this issue is very complex to solve for good.
    As soon as we have a working solution other than downgrading Mollie to version 5.8.3 and Bookings to version 1.15.21, I will update this thread and inform you.
    Thank you so much for bearing with us!

    Kind regards,
    Niklas

    Plugin Support Inpsyde Niklas

    (@niklasinpsyde)

    Hello @andrerosing, @eddypiv & @mvoerman,

    Thank you so much for your patience regarding this issue.
    We have created a new Mollie version, which should resolve this issue for now.
    The core problematic is very complex to solve for good, that means this fix is not yet our final implementation and we will continue to work on it.
    But at least, it should work properly for now. šŸ™‚

    Please download the new Mollie version from this link here and give it a try:
    https://drive.google.com/file/d/1uUQx7I9UYodGKxRzAyeS40znL0Ru04ox/view?usp=sharing

    So far, our internal tests with WooCommerce Bookings and Simple Calender were successful.
    But we of course appreciate your feedback regarding this fix, so we can potentially include it in our next regular update in the first half of december, in case we cannot get our final implementation done in time.
    Thank you so much!

    Kind regards,
    Niklas

    Version 5.11.1-alpha fixes the bugs we had with the cart generating a critical error on the “continue to checkout” button. Thanks for that!

Viewing 15 replies - 1 through 15 (of 21 total)
  • The topic ‘Critical error after update’ is closed to new replies.